/*
 * This file is part of the YSSDWebImage package.
 * (c) Olivier Poitrey <rs@dailymotion.com>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

#import "YSSDWebImageCacheKeyFilter.h"

@interface YSSDWebImageCacheKeyFilter ()

@property (nonatomic, copy, nonnull) YSSDWebImageCacheKeyFilterBlock block;

@end

@implementation YSSDWebImageCacheKeyFilter

- (instancetype)initWithBlock:(YSSDWebImageCacheKeyFilterBlock)block {
    self = [super init];
    if (self) {
        self.block = block;
    }
    return self;
}

+ (instancetype)cacheKeyFilterWithBlock:(YSSDWebImageCacheKeyFilterBlock)block {
    YSSDWebImageCacheKeyFilter *cacheKeyFilter = [[YSSDWebImageCacheKeyFilter alloc] initWithBlock:block];
    return cacheKeyFilter;
}

- (NSString *)cacheKeyForURL:(NSURL *)url {
    if (!self.block) {
        return nil;
    }
    return self.block(url);
}

@end
